
QGIS Application - Bug report #3032

Diagram overlay and trunk not building

2010-09-21 12:28 PM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13092

Description

The diagram overlay plugin is not compiling at this time in trunk. Here is the error message:

Scanning dependencies of target diagramoverlay

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramdialog.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramcategory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgswkndiagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgswkndiagramfactorywidget.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsbardiagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgspiediagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgssvgdiagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgssvgdiagramfactorywidget.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramfactorywidget.cpp.o

[ 80%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramoverlay.cpp.o

[ 80%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramoverlayplugin.cpp.o

[ 80%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramrenderer.cpp.o

/bin/sh: line 1: 69883 Segmentation fault      /usr/local/bin/ccache g++ -Ddiagramoverlay_EXPORTS -DQT_SVG_LIB

-DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_SQL_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB

-DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -O3 -DNDEBUG -arch x86_64 -fPIC -F/Library/Frameworks

-I/Library/Frameworks/QtSvg.framework/Headers -I/Library/Frameworks/QtWebKit.framework/Headers

-I/Library/Frameworks/QtGui.framework/Headers -I/Library/Frameworks/QtXml.framework/Headers

-I/Library/Frameworks/QtSql.framework/Headers -I/Library/Frameworks/QtNetwork.framework/Headers

-I/Library/Frameworks/QtCore.framework/Headers -I/Users/jctull/sources/qgis/trunk/build

-I/Users/jctull/sources/qgis/trunk/build/src/plugins/diagram_overlay -I/Library/Frameworks/GEOS.framework/Headers

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core/pal

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core/raster

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core/renderer

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core/symbology

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../gui

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/.. -DCORE_EXPORT= -DGUI_EXPORT= -DPYTHON_EXPORT=

-DANALYSIS_EXPORT= -o CMakeFiles/diagramoverlay.dir/qgsdiagramrenderer.cpp.o -c

/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/qgsdiagramrenderer.cpp

maker2: *** [src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramrenderer.cpp.o] Error 139

maker1: *** [src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/all] Error 2

make: *** [all] Error 2
History

#1 - 2010-09-21 12:31 PM - Jürgen Fischer

Replying to jctull:

The diagram overlay plugin is not compiling at this time in trunk. Here is the error message:

Scanning dependencies of target diagramoverlay

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramdialog.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramcategory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgswkndiagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgswkndiagramfactorywidget.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsbardiagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgspiediagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgssvgdiagramfactory.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgssvgdiagramfactorywidget.cpp.o

[ 79%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramfactorywidget.cpp.o

[ 80%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramoverlay.cpp.o

[ 80%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramoverlayplugin.cpp.o

[ 80%] Building CXX object src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramrenderer.cpp.o

/bin/sh: line 1: 69883 Segmentation fault      /usr/local/bin/ccache g++ -Ddiagramoverlay_EXPORTS -DQT_SVG_LIB -DQT_WEBKIT_LIB

-DQT_GUI_LIB -DQT_XML_LIB -DQT_SQL_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -O3

-DNDEBUG -arch x86_64 -fPIC -F/Library/Frameworks -I/Library/Frameworks/QtSvg.framework/Headers

-I/Library/Frameworks/QtWebKit.framework/Headers -I/Library/Frameworks/QtGui.framework/Headers

-I/Library/Frameworks/QtXml.framework/Headers -I/Library/Frameworks/QtSql.framework/Headers

-I/Library/Frameworks/QtNetwork.framework/Headers -I/Library/Frameworks/QtCore.framework/Headers -I/Users/jctull/sources/qgis/trunk/build

-I/Users/jctull/sources/qgis/trunk/build/src/plugins/diagram_overlay -I/Library/Frameworks/GEOS.framework/Headers

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core -I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core/pal

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core/raster

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core/renderer

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../core/symbology

-I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/../../gui -I/Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/..

-DCORE_EXPORT= -DGUI_EXPORT= -DPYTHON_EXPORT= -DANALYSIS_EXPORT= -o

CMakeFiles/diagramoverlay.dir/qgsdiagramrenderer.cpp.o -c /Users/jctull/sources/qgis/trunk/src/plugins/diagram_overlay/qgsdiagramrenderer.cpp

maker2: * [src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/qgsdiagramrenderer.cpp.o] Error 139

maker1:  [src/plugins/diagram_overlay/CMakeFiles/diagramoverlay.dir/all] Error 2

make: ** [all] Error 2

#2 - 2010-09-21 12:33 PM - Jürgen Fischer

Looks like your compiler is crashing.  Try a clean build (perhaps with cleaning your ccache).

#3 - 2010-09-21 12:38 PM - William Kyngesburye

I think there have been problems in the past with Qgis compilation (from cmake configuration) and ccache.  Try disabling (if possible) or uninstalling

ccache.

#4 - 2010-09-21 01:04 PM - John Tull

2024-04-25 2/3

/issues/show/3032


- Resolution set to invalid

- Status changed from Open to Closed

Another invalid. Thanks for the ccache advice. I cleared the cache and updated to latest ccache. All seems well now.
